Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.search.backend
Interface BackendQueueProcessorFactory

All Known Implementing Classes:
  BlackHoleBackendQueueProcessorFactory, JGroupsBackendQueueProcessorFactory, JMSBackendQueueProcessorFactory, LuceneBackendQueueProcessorFactory, MasterJGroupsBackendQueueProcessorFactory, SlaveJGroupsBackendQueueProcessorFactory

    public interface BackendQueueProcessorFactory

Interface for different types of queue processor factories. Implementations need a no-arg constructor. The factory typically prepares or pools the resources needed by the queue processor.

Author:
  Emmanuel Bernard

Method Summary
`void` | `close()` Used to shutdown and eventually release resources.
`java.lang.Runnable` | `getProcessor(java.util.List<LuceneWork> queue)` Return a runnable implementation responsible for processing the queue to a given backend.
`void` | `initialize(java.util.Properties props, SearchFactoryImplementor searchFactory)` Used at startup, called once as first method.

Method Detail

### initialize

    void initialize(java.util.Properties props,
                    SearchFactoryImplementor searchFactory)

  Used at startup, called once as first method.

  Parameters:
    `props` - all configuration properties
    `searchFactory` - the client

### getProcessor

    java.lang.Runnable getProcessor(java.util.List<LuceneWork> queue)

  Return a runnable implementation responsible for processing the queue to a given backend.

  Parameters:
    `queue` - The work queue to process.
  Returns:
    `Runnable` which processes `queue` when started.

### close

    void close()

  Used to shutdown and eventually release resources. No other method should be used after this one.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2010 Hibernate. All Rights Reserved.